Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Query Parameters

offset
integer<uint64>

Amount of records to skip before beginning to write in response.

limit
integer<uint64>

Max number of records in response

order_by
string

Field name to sort by

order_direction
enum<string>

Ascending or descending order

Available options:
asc,
desc
id
integer<int64>[]

to pass several ids id=1&id=3&id=5...

client_id
integer<int64>[]

to pass several client_ids client_id=1&client_id=3&client_id=5...

reseller_id
integer<int64>[]
iam_reseller_id
integer<int64>[]
name
string[]

to pass several names name=first&name=second...

case_sensitive
boolean
exact_match
boolean
enabled
boolean
status
string
dynamic
boolean

Zones with dynamic RRsets

healthcheck
boolean

Zones with RRsets that have healthchecks

updated_at_from
string<date-time>
updated_at_to
string<date-time>

Response

ListZoneResponse

total_amount
integer<int64>
zones
object[]